import * as react from 'react';

type HighlightHeadingProps = {
    /**
     * The title used in the heading of the component.
     */
    title: string;
    /**
     * The decorative image used next to the heading.
     */
    decorativeImageSrc?: string;
    /**
     * Set the heading level in the component's heading.
     * @default 'h2'
     */
    headingLevel?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
};
/**
 * A heading with a background image and a possible decorative image.
 */
declare const HighlightHeading: react.ForwardRefExoticComponent<HighlightHeadingProps & react.RefAttributes<HTMLDivElement>>;

export { HighlightHeading, HighlightHeadingProps };
